Create a Refund RequestAsk AIpost https://test.bitpay.com/refundsFacades: merchantBody ParamsamountdoublerequiredThe amount to be refunded, denominated in the invoice original currency - partial refunds are supportedinvoiceIdstringrequiredThe ID of the invoice to refund.tokenstringrequiredThe API token used when originally creating the invoice.previewbooleanDefaults to falseWhether to create the refund request as a preview (which will not be acted on until status is updated) - parameter defaults to false if not passed.truefalseimmediatebooleanDefaults to falseWhether funds should be removed from merchant ledger immediately on submission or at time of processing - parameter defaults to false if not passed.truefalsebuyerPaysRefundFeebooleanDefaults to falseWhether the buyer should pay the refund fee rather than the merchant - parameter defaults to false if not passed.truefalsereferencestringPresent only if specified in the request to create the refund. This is your reference label for this refund. It will be passed-through on each response for you to identify the refund in your system. Maximum string length is 100 characters.guidstringA variable provided by the merchant and designed to be used by the merchant to correlate the refund with a refund ID in their system.HeadersContent-TypestringrequiredDefaults to application/jsonMust be set to application/json for requests to the BitPay APIX-Accept-VersionstringrequiredDefaults to 2.0.0Must be set to 2.0.0 for requests to the BitPay APIX-IdentitystringrequiredThe hexadecimal public key generated from the client private key. This header is optional for this endpoint when using the public facade, and required when using a merchant facade token.X-SignaturestringrequiredThe ECDSA signature of the full request URL concatenated with the request body, signed with your private key. This header is optional for this endpoint when using the public facade, and required when using a merchant facade token.Response 200200Updated 7 months ago